Subject: bug#16192: hl-line-mode: Current line highlighting takes precedence over region highlighting

From: Stefan Monnier <[email-masked]>
Date: Thu, 19 Dec 2013 09:02:29 -0500

> I use a current emacs build from VCS. When you use hl-line-mode with the
> default settings, the highlighting of the current line takes precedence
> over the region highlighting.

Actually, that depends on the relative position/size of the two.
I've just installed a patch which lowers the priority of the hl-line
highlighting, which seems like a good thing to do in general and which
should resolve this problem (unless you use the same attributes for the
region and the hl-line faces).

        Stefan